For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
  • Ecommerce
      • GETList Products & SKUs
      • POSTCreate Product & SKU
      • GETGet Product and SKUs
      • PATCHUpdate Product
      • POSTCreate SKU
      • PATCHUpdate SKU
LogoLogo
Resources
Get started
EcommerceProducts & SKUs

Update Product

PATCH
https://api.webflow.com/sites/:site_id/products/:product_id
PATCH
/sites/:site_id/products/:product_id
$curl -X PATCH https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745 \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "_id": "580e63fc8c9a982ac9b8b745",
3 "fields": {
4 "slug": "cloak-of-invisibility-1",
5 "name": "Cloak Of Invisibility",
6 "_archived": false,
7 "_draft": false,
8 "sku-properties": [
9 {
10 "id": "a37a7991f7ca1be0d349a805a2bddb5b",
11 "name": "Color",
12 "enum": [
13 {
14 "id": "a9506da8e70a8b087f35a4094ec34a53",
15 "name": "Obsidian Black",
16 "slug": "obsidian-black"
17 },
18 {
19 "id": "c92a465a1298c95fd1cd7f4c1c96c2ba",
20 "name": "Smoke Grey",
21 "slug": "smoke-grey"
22 },
23 {
24 "id": "ef9511c0b56cc11ff47c5669f65030b4",
25 "name": "Forest Green",
26 "slug": "forest-green"
27 }
28 ]
29 }
30 ],
31 "shippable": "true",
32 "ec-product-type": "ff42fee0113744f693a764e3431a9cc2",
33 "description": "A cloak that renders the wearer invisible to the eye.",
34 "published-on": "string",
35 "published-by": "string",
36 "default-sku": "5e8518536e147040726cc416"
37 }
38}
Updating an existing Product will set the product type to `Advanced`. The product type is used to determine which Product and SKU fields are shown to users in the `Designer` and the `Editor`. Setting it to `Advanced` ensures that all Product and SKU fields will be shown. The product type can be edited in the `Designer` or the `Editor`.
Was this page helpful?
Previous

Create SKU

Next
Built with

Updating an existing Product will set the product type to Advanced. The product type is used to determine which Product and SKU fields are shown to users in the Designer and the Editor. Setting it to Advanced ensures that all Product and SKU fields will be shown. The product type can be edited in the Designer or the Editor.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "uuid"
Unique identifier for a Site
product_idstringRequiredformat: "uuid"
Unique identifier for a Product

Headers

Accept-VersionstringOptional
The API version

Request

The product to update
fieldsobjectOptional
Fields in your collection item

Response

Request was successful
_idstringRead-onlyformat: "uuid"
Unique identifier for collection
lastUpdatedstringRead-onlyformat: "date-time"
The date the collection was last updated
createdOnstringRead-onlyformat: "date-time"
The date the collection was create
namestringRead-only
Name given to Collection
slugstringRead-only
Slug of Collection in Site URL structure
singularNamestringRead-only

The name of one Item in Collection (e.g. “product” if the Collection is called “Product”)

fieldsobject
Fields in your product object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error